## xfonts-terminus 4.48

=== Makefile ===
INT = python3
EXT = py
BIN = ./bin

UCS2ANY = $(INT) $(BIN)/ucstoany.$(EXT)
BDF2PSF = $(INT) $(BIN)/bdftopsf.$(EXT)
UCS2X11	= $(INT) $(BIN)/ucstoany.$(EXT) -f
BDF2PCF	= bdftopcf

REG_8859_1  = ISO8859 1
REG_8859_2  = ISO8859 2
REG_8859_5  = ISO8859 5
REG_8859_7  = ISO8859 7
REG_8859_9  = ISO8859 9
REG_MS_1251 = Microsoft CP1251
REG_8859_13 = ISO8859 13
REG_8859_15 = ISO8859 15
REG_8859_16 = ISO8859 16
REG_MS_1255 = Microsoft CP1255
REG_IBM_437 = IBM CP437
REG_KOI8_R  = KOI8 R
REG_KOI8_U  = KOI8 U
REG_BG_MIK  = Bulgarian MIK
REG_PT_154  = Paratype PT154
REG_XOS4_2  = XOS4 2
REG_10646_1 = ISO10646 1

PSF_8859_1  = ter-112n.psf ter-114n.psf ter-114b.psf ter-116n.psf ter-116b.psf ter-118n.psf ter-118b.psf ter-120n.psf ter-120b.psf ter-122n.psf ter-122b.psf ter-124n.psf ter-124b.psf ter-128n.psf ter-128b.psf ter-132n.psf ter-132b.psf
PSF_8859_2  = ter-212n.psf ter-214n.psf ter-214b.psf ter-216n.psf ter-216b.psf ter-218n.psf ter-218b.psf ter-220n.psf ter-220b.psf ter-222n.psf ter-222b.psf ter-224n.psf ter-224b.psf ter-228n.psf ter-228b.psf ter-232n.psf ter-232b.psf
PSF_8859_7  = ter-712n.psf ter-714n.psf ter-714b.psf ter-716n.psf ter-716b.psf ter-718n.psf ter-718b.psf ter-720n.psf ter-720b.psf ter-722n.psf ter-722b.psf ter-724n.psf ter-724b.psf ter-728n.psf ter-728b.psf ter-732n.psf ter-732b.psf
PSF_8859_9  = ter-912n.psf ter-914n.psf ter-914b.psf ter-916n.psf ter-916b.psf ter-918n.psf ter-918b.psf ter-920n.psf ter-920b.psf ter-922n.psf ter-922b.psf ter-924n.psf ter-924b.psf ter-928n.psf ter-928b.psf ter-932n.psf ter-932b.psf
PSF_MS_1251 = ter-c12n.psf ter-c14n.psf ter-c14b.psf ter-c16n.psf ter-c16b.psf ter-c18n.psf ter-c18b.psf ter-c20n.psf ter-c20b.psf ter-c22n.psf ter-c22b.psf ter-c24n.psf ter-c24b.psf ter-c28n.psf ter-c28b.psf ter-c32n.psf ter-c32b.psf
PSF_8859_13 = ter-d12n.psf ter-d14n.psf ter-d14b.psf ter-d16n.psf ter-d16b.psf ter-d18n.psf ter-d18b.psf ter-d20n.psf ter-d20b.psf ter-d22n.psf ter-d22b.psf ter-d24n.psf ter-d24b.psf ter-d28n.psf ter-d28b.psf ter-d32n.psf ter-d32b.psf
PSF_8859_16 = ter-g12n.psf ter-g14n.psf ter-g14b.psf ter-g16n.psf ter-g16b.psf ter-g18n.psf ter-g18b.psf ter-g20n.psf ter-g20b.psf ter-g22n.psf ter-g22b.psf ter-g24n.psf ter-g24b.psf ter-g28n.psf ter-g28b.psf ter-g32n.psf ter-g32b.psf
PSF_MS_1255 = ter-h12n.psf ter-h14n.psf ter-h14b.psf ter-h16n.psf ter-h16b.psf ter-h18n.psf ter-h18b.psf ter-h20n.psf ter-h20b.psf ter-h22n.psf ter-h22b.psf ter-h24n.psf ter-h24b.psf ter-h28n.psf ter-h28b.psf ter-h32n.psf ter-h32b.psf
PSF_IBM_437 = ter-i12n.psf ter-i14n.psf ter-i14b.psf ter-i16n.psf ter-i16b.psf ter-i18n.psf ter-i18b.psf ter-i20n.psf ter-i20b.psf ter-i22n.psf ter-i22b.psf ter-i24n.psf ter-i24b.psf ter-i28n.psf ter-i28b.psf ter-i32n.psf ter-i32b.psf
PSF_KOI8_RV = ter-k14n.psf ter-k14b.psf ter-k16n.psf ter-k16b.psf
PSF_KOI8_R  = ter-k12n.psf ter-k18n.psf ter-k18b.psf ter-k20n.psf ter-k20b.psf ter-k22n.psf ter-k22b.psf ter-k24n.psf ter-k24b.psf ter-k28n.psf ter-k28b.psf ter-k32n.psf ter-k32b.psf
PSF_BG_MIK  = ter-m12n.psf ter-m14n.psf ter-m14b.psf ter-m16n.psf ter-m16b.psf ter-m18n.psf ter-m18b.psf ter-m20n.psf ter-m20b.psf ter-m22n.psf ter-m22b.psf ter-m24n.psf ter-m24b.psf ter-m28n.psf ter-m28b.psf ter-m32n.psf ter-m32b.psf
PSF_PT_154  = ter-p12n.psf ter-p14n.psf ter-p14b.psf ter-p16n.psf ter-p16b.psf ter-p18n.psf ter-p18b.psf ter-p20n.psf ter-p20b.psf ter-p22n.psf ter-p22b.psf ter-p24n.psf ter-p24b.psf ter-p28n.psf ter-p28b.psf ter-p32n.psf ter-p32b.psf
PSF_KOI8_UV = ter-u14n.psf ter-u14b.psf ter-u16n.psf ter-u16b.psf
PSF_KOI8_U  = ter-u12n.psf ter-u18n.psf ter-u18b.psf ter-u20n.psf ter-u20b.psf ter-u22n.psf ter-u22b.psf ter-u24n.psf ter-u24b.psf ter-u28n.psf ter-u28b.psf ter-u32n.psf ter-u32b.psf
PSF_XOS4_2  = ter-v12n.psf ter-v14n.psf ter-v14b.psf ter-v16n.psf ter-v16b.psf ter-v18n.psf ter-v18b.psf ter-v20n.psf ter-v20b.psf ter-v22n.psf ter-v22b.psf ter-v24n.psf ter-v24b.psf ter-v28n.psf ter-v28b.psf ter-v32n.psf ter-v32b.psf
PSF = $(PSF_8859_1) $(PSF_8859_2) $(PSF_8859_7) $(PSF_8859_9) $(PSF_MS_1251) $(PSF_8859_13) $(PSF_8859_16) $(PSF_MS_1255) $(PSF_IBM_437) $(PSF_KOI8_RV) $(PSF_KOI8_R) $(PSF_BG_MIK) $(PSF_PT_154) $(PSF_KOI8_UV) $(PSF_KOI8_U) $(PSF_XOS4_2)

PSF_VGAW_8859_1  = ter-114v.psf ter-116v.psf
PSF_VGAW_8859_2  = ter-214v.psf ter-216v.psf
PSF_VGAW_8859_7  = ter-714v.psf ter-716v.psf
PSF_VGAW_8859_9  = ter-914v.psf ter-916v.psf
PSF_VGAW_MS_1251 = ter-c14v.psf ter-c16v.psf
PSF_VGAW_8859_13 = ter-d14v.psf ter-d16v.psf
PSF_VGAW_8859_16 = ter-g14v.psf ter-g16v.psf
PSF_VGAW_MS_1255 = ter-h14v.psf ter-h16v.psf
PSF_VGAW_IBM_437 = ter-i14v.psf ter-i16v.psf
PSF_VGAW_KOI8_RV = ter-k14v.psf ter-k16v.psf
PSF_VGAW_BG_MIK  = ter-m14v.psf ter-m16v.psf
PSF_VGAW_PT_154  = ter-p14v.psf ter-p16v.psf
PSF_VGAW_KOI8_UV = ter-u14v.psf ter-u16v.psf
PSF_VGAW_XOS4_2  = ter-v14v.psf ter-v16v.psf
PSF_VGAW = $(PSF_VGAW_8859_1) $(PSF_VGAW_8859_2) $(PSF_VGAW_8859_7) $(PSF_VGAW_8859_9) $(PSF_VGAW_MS_1251) $(PSF_VGAW_8859_13) $(PSF_VGAW_8859_16) $(PSF_VGAW_MS_1255) $(PSF_VGAW_IBM_437) $(PSF_VGAW_KOI8_RV) $(PSF_VGAW_BG_MIK) $(PSF_VGAW_PT_154) $(PSF_VGAW_KOI8_UV) $(PSF_VGAW_XOS4_2)

PCF_8859_1  = ter-112n.pcf ter-112b.pcf ter-114n.pcf ter-114b.pcf ter-116n.pcf ter-116b.pcf ter-118n.pcf ter-118b.pcf ter-120n.pcf ter-120b.pcf ter-122n.pcf ter-122b.pcf ter-124n.pcf ter-124b.pcf ter-128n.pcf ter-128b.pcf ter-132n.pcf ter-132b.pcf
PCF_8859_2  = ter-212n.pcf ter-212b.pcf ter-214n.pcf ter-214b.pcf ter-216n.pcf ter-216b.pcf ter-218n.pcf ter-218b.pcf ter-220n.pcf ter-220b.pcf ter-222n.pcf ter-222b.pcf ter-224n.pcf ter-224b.pcf ter-228n.pcf ter-228b.pcf ter-232n.pcf ter-232b.pcf
PCF_8859_5  = ter-512n.pcf ter-512b.pcf ter-514n.pcf ter-514b.pcf ter-516n.pcf ter-516b.pcf ter-518n.pcf ter-518b.pcf ter-520n.pcf ter-520b.pcf ter-522n.pcf ter-522b.pcf ter-524n.pcf ter-524b.pcf ter-528n.pcf ter-528b.pcf ter-532n.pcf ter-532b.pcf
PCF_8859_7  = ter-712n.pcf ter-712b.pcf ter-714n.pcf ter-714b.pcf ter-716n.pcf ter-716b.pcf ter-718n.pcf ter-718b.pcf ter-720n.pcf ter-720b.pcf ter-722n.pcf ter-722b.pcf ter-724n.pcf ter-724b.pcf ter-728n.pcf ter-728b.pcf ter-732n.pcf ter-732b.pcf
PCF_8859_9  = ter-912n.pcf ter-912b.pcf ter-914n.pcf ter-914b.pcf ter-916n.pcf ter-916b.pcf ter-918n.pcf ter-918b.pcf ter-920n.pcf ter-920b.pcf ter-922n.pcf ter-922b.pcf ter-924n.pcf ter-924b.pcf ter-928n.pcf ter-928b.pcf ter-932n.pcf ter-932b.pcf
PCF_MS_1251 = ter-c12n.pcf ter-c12b.pcf ter-c14n.pcf ter-c14b.pcf ter-c16n.pcf ter-c16b.pcf ter-c18n.pcf ter-c18b.pcf ter-c20n.pcf ter-c20b.pcf ter-c22n.pcf ter-c22b.pcf ter-c24n.pcf ter-c24b.pcf ter-c28n.pcf ter-c28b.pcf ter-c32n.pcf ter-c32b.pcf
PCF_8859_13 = ter-d12n.pcf ter-d12b.pcf ter-d14n.pcf ter-d14b.pcf ter-d16n.pcf ter-d16b.pcf ter-d18n.pcf ter-d18b.pcf ter-d20n.pcf ter-d20b.pcf ter-d22n.pcf ter-d22b.pcf ter-d24n.pcf ter-d24b.pcf ter-d28n.pcf ter-d28b.pcf ter-d32n.pcf ter-d32b.pcf
PCF_8859_15 = ter-f12n.pcf ter-f12b.pcf ter-f14n.pcf ter-f14b.pcf ter-f16n.pcf ter-f16b.pcf ter-f18n.pcf ter-f18b.pcf ter-f20n.pcf ter-f20b.pcf ter-f22n.pcf ter-f22b.pcf ter-f24n.pcf ter-f24b.pcf ter-f28n.pcf ter-f28b.pcf ter-f32n.pcf ter-f32b.pcf
PCF_8859_16 = ter-g12n.pcf ter-g12b.pcf ter-g14n.pcf ter-g14b.pcf ter-g16n.pcf ter-g16b.pcf ter-g18n.pcf ter-g18b.pcf ter-g20n.pcf ter-g20b.pcf ter-g22n.pcf ter-g22b.pcf ter-g24n.pcf ter-g24b.pcf ter-g28n.pcf ter-g28b.pcf ter-g32n.pcf ter-g32b.pcf
PCF_IBM_437 = ter-i12n.pcf ter-i12b.pcf ter-i14n.pcf ter-i14b.pcf ter-i16n.pcf ter-i16b.pcf ter-i18n.pcf ter-i18b.pcf ter-i20n.pcf ter-i20b.pcf ter-i22n.pcf ter-i22b.pcf ter-i24n.pcf ter-i24b.pcf ter-i28n.pcf ter-i28b.pcf ter-i32n.pcf ter-i32b.pcf
PCF_KOI8_R  = ter-k12n.pcf ter-k12b.pcf ter-k14n.pcf ter-k14b.pcf ter-k16n.pcf ter-k16b.pcf ter-k18n.pcf ter-k18b.pcf ter-k20n.pcf ter-k20b.pcf ter-k22n.pcf ter-k22b.pcf ter-k24n.pcf ter-k24b.pcf ter-k28n.pcf ter-k28b.pcf ter-k32n.pcf ter-k32b.pcf
PCF_PT_154  = ter-p12n.pcf ter-p12b.pcf ter-p14n.pcf ter-p14b.pcf ter-p16n.pcf ter-p16b.pcf ter-p18n.pcf ter-p18b.pcf ter-p20n.pcf ter-p20b.pcf ter-p22n.pcf ter-p22b.pcf ter-p24n.pcf ter-p24b.pcf ter-p28n.pcf ter-p28b.pcf ter-p32n.pcf ter-p32b.pcf
PCF_KOI8_U  = ter-u12n.pcf ter-u12b.pcf ter-u14n.pcf ter-u14b.pcf ter-u16n.pcf ter-u16b.pcf ter-u18n.pcf ter-u18b.pcf ter-u20n.pcf ter-u20b.pcf ter-u22n.pcf ter-u22b.pcf ter-u24n.pcf ter-u24b.pcf ter-u28n.pcf ter-u28b.pcf ter-u32n.pcf ter-u32b.pcf
PCF_10646_1 = ter-x12n.pcf ter-x12b.pcf ter-x14n.pcf ter-x14b.pcf ter-x16n.pcf ter-x16b.pcf ter-x18n.pcf ter-x18b.pcf ter-x20n.pcf ter-x20b.pcf ter-x22n.pcf ter-x22b.pcf ter-x24n.pcf ter-x24b.pcf ter-x28n.pcf ter-x28b.pcf ter-x32n.pcf ter-x32b.pcf
PCF_8BIT = $(PCF_8859_1) $(PCF_8859_2) $(PCF_8859_5) $(PCF_8859_7) $(PCF_8859_9) $(PCF_MS_1251) $(PCF_8859_13) $(PCF_8859_15) $(PCF_8859_16) $(PCF_IBM_437) $(PCF_KOI8_R) $(PCF_PT_154) $(PCF_KOI8_U)
PCF = $(PCF_10646_1)

# Default

all: $(PSF) $(PCF)

DESTDIR	=
prefix	= /usr/local
psfdir	= $(prefix)/share/consolefonts
x11dir	= $(prefix)/share/fonts/terminus

install: $(PSF) $(PCF)
	mkdir -p $(DESTDIR)$(psfdir)
	for i in $(PSF) ; do gzip -c $$i > $(DESTDIR)$(psfdir)/$$i.gz ; done
	mkdir -p $(DESTDIR)$(x11dir)
	for i in $(PCF) ; do gzip -c $$i > $(DESTDIR)$(x11dir)/$$i.gz ; done

uninstall:
	for i in $(PSF) ; do rm -f $(DESTDIR)$(psfdir)/$$i.gz ; done
	for i in $(PCF) ; do rm -f $(DESTDIR)$(x11dir)/$$i.gz ; done

fontdir:
	mkfontscale $(DESTDIR)$(x11dir)
	mkfontdir $(DESTDIR)$(x11dir)
	fc-cache -f $(DESTDIR)$(x11dir)

# Linux Console

VGA_8859_1  = uni/vgagr.uni uni/ascii-h.uni uni/win-1252.uni
VGA_8859_2  = uni/vgagr.uni uni/ascii-h.uni uni/vga-1250.uni uni/8859-2.uni
VGA_8859_7  = uni/vgagr.uni uni/ascii-h.uni uni/vga-1253.uni uni/8859-7.uni
VGA_8859_9  = uni/vgagr.uni uni/ascii-h.uni uni/win-1254.uni
VGA_MS_1251 = uni/vgagr.uni uni/ascii-h.uni uni/vga-1251.uni uni/win-1251.uni
VGA_8859_13 = uni/vgagr.uni uni/ascii-h.uni uni/vga-1257.uni uni/8859-13.uni
VGA_8859_16 = uni/vgagr.uni uni/ascii-h.uni uni/nls-1250.uni uni/8859-16.uni
VGA_MS_1255 = uni/vgagr.uni uni/ascii-h.uni uni/win-1255.uni
VGA_IBM_437 = uni/cntrl.uni uni/ascii-h.uni uni/ibm-437.uni
VGA_KOI8_RV = uni/cntrl.uni uni/ascii-h.uni uni/koibm8-r.uni
VGA_KOI8_R  = uni/cntrl.uni uni/ascii-h.uni uni/koi8-r.uni
VGA_BG_MIK  = uni/cntrl.uni uni/ascii-h.uni uni/bg-mik.uni
VGA_PT_154  = uni/vgagr.uni uni/ascii-h.uni uni/pt-154.uni
VGA_KOI8_UV = uni/cntrl.uni uni/ascii-h.uni uni/koibm8-u.uni
VGA_KOI8_U  = uni/cntrl.uni uni/ascii-h.uni uni/koi8-u.uni
VGA_XOS4_2  = uni/xos4-2.uni

DUP_8859_1  = dup/vgagr.dup dup/ascii-h.dup
DUP_8859_2  = dup/vgagr.dup dup/ascii-h.dup
DUP_8859_7  = dup/vgagr.dup dup/ascii-h.dup
DUP_8859_9  = dup/vgagr.dup dup/ascii-h.dup
DUP_MS_1251 = dup/vgagr.dup dup/ascii-h.dup
DUP_8859_13 = dup/vgagr.dup dup/ascii-h.dup
DUP_8859_16 = dup/vgagr.dup dup/ascii-h.dup
DUP_MS_1255 = dup/vgagr.dup dup/ascii-h.dup
DUP_IBM_437 = dup/cntrl.dup dup/ascii-h.dup dup/ibm-437.dup
DUP_KOI8_RV = dup/cntrl.dup dup/ascii-h.dup dup/koi8.dup
DUP_KOI8_R  = dup/cntrl.dup dup/ascii-h.dup dup/koi8.dup
DUP_BG_MIK  = dup/cntrl.dup dup/ascii-h.dup dup/ibm-437.dup
DUP_PT_154  = dup/vgagr.dup dup/ascii-h.dup
DUP_KOI8_UV = dup/cntrl.dup dup/ascii-h.dup dup/koi8.dup
DUP_KOI8_U  = dup/cntrl.dup dup/ascii-h.dup dup/koi8.dup
DUP_XOS4_2  = dup/vgagr.dup dup/xos4-2.dup

$(PSF_8859_1) $(PSF_VGAW_8859_1): ter-1%.psf : ter-u%.bdf $(VGA_8859_1) $(DUP_8859_1)
	$(UCS2ANY) $< $(REG_8859_1) $(VGA_8859_1) | $(BDF2PSF) -o $@ $(DUP_8859_1)

$(PSF_8859_2) $(PSF_VGAW_8859_2): ter-2%.psf : ter-u%.bdf $(VGA_8859_2) $(DUP_8859_2)
	$(UCS2ANY) $< $(REG_8859_2) $(VGA_8859_2) | $(BDF2PSF) -o $@ $(DUP_8859_2)

$(PSF_8859_7) $(PSF_VGAW_8859_7): ter-7%.psf : ter-u%.bdf $(VGA_8859_7) $(DUP_8859_7)
	$(UCS2ANY) $< $(REG_8859_7) $(VGA_8859_7) | $(BDF2PSF) -o $@ $(DUP_8859_7)

$(PSF_8859_9) $(PSF_VGAW_8859_9): ter-9%.psf : ter-u%.bdf $(VGA_8859_9) $(DUP_8859_9)
	$(UCS2ANY) $< $(REG_8859_9) $(VGA_8859_9) | $(BDF2PSF) -o $@ $(DUP_8859_9)

$(PSF_MS_1251) $(PSF_VGAW_MS_1251): ter-c%.psf : ter-u%.bdf $(VGA_MS_1251) $(DUP_MS_1251)

=== win32/Makefile ===
INT = python3
EXT = py
BIN = ../bin
UNI = ../uni

UCS2ANY = $(INT) $(BIN)/ucstoany.$(EXT)
BDF2FNT = $(INT) $(BIN)/bdftofnt.$(EXT) -fModern

RC32     = windres -F pe-i386
CC32     = i686-w64-mingw32-gcc
CFLAGS   = -O2 -Wall -Wextra
LDFLAGS  = -mwindows -s
FONFLAGS = -shared -nostdlib -nostartfiles

REG_MS_1252 = Microsoft CP1252
REG_MS_1250 = Microsoft CP1250
REG_MS_1253 = Microsoft CP1253
REG_MS_1254 = Microsoft CP1254
REG_MS_1251 = Microsoft CP1251
REG_MS_1257 = Microsoft CP1257
REG_MS_1255 = Microsoft CP1255
REG_IBM_437 = IBM CP437
REG_BG_MIK  = Bulgarian MIK

FNT_MS_1252 = ter-112n.fnt ter-112b.fnt ter-114n.fnt ter-114b.fnt ter-116n.fnt ter-116b.fnt ter-118n.fnt ter-118b.fnt ter-120n.fnt ter-120b.fnt ter-122n.fnt ter-122b.fnt ter-124n.fnt ter-124b.fnt ter-128n.fnt ter-128b.fnt ter-132n.fnt ter-132b.fnt
FNT_MS_1250 = ter-212n.fnt ter-212b.fnt ter-214n.fnt ter-214b.fnt ter-216n.fnt ter-216b.fnt ter-218n.fnt ter-218b.fnt ter-220n.fnt ter-220b.fnt ter-222n.fnt ter-222b.fnt ter-224n.fnt ter-224b.fnt ter-228n.fnt ter-228b.fnt ter-232n.fnt ter-232b.fnt
FNT_MS_1253 = ter-712n.fnt ter-712b.fnt ter-714n.fnt ter-714b.fnt ter-716n.fnt ter-716b.fnt ter-718n.fnt ter-718b.fnt ter-720n.fnt ter-720b.fnt ter-722n.fnt ter-722b.fnt ter-724n.fnt ter-724b.fnt ter-728n.fnt ter-728b.fnt ter-732n.fnt ter-732b.fnt
FNT_MS_1254 = ter-912n.fnt ter-912b.fnt ter-914n.fnt ter-914b.fnt ter-916n.fnt ter-916b.fnt ter-918n.fnt ter-918b.fnt ter-920n.fnt ter-920b.fnt ter-922n.fnt ter-922b.fnt ter-924n.fnt ter-924b.fnt ter-928n.fnt ter-928b.fnt ter-932n.fnt ter-932b.fnt
FNT_MS_1251 = ter-c12n.fnt ter-c12b.fnt ter-c14n.fnt ter-c14b.fnt ter-c16n.fnt ter-c16b.fnt ter-c18n.fnt ter-c18b.fnt ter-c20n.fnt ter-c20b.fnt ter-c22n.fnt ter-c22b.fnt ter-c24n.fnt ter-c24b.fnt ter-c28n.fnt ter-c28b.fnt ter-c32n.fnt ter-c32b.fnt
FNT_MS_1257 = ter-d12n.fnt ter-d12b.fnt ter-d14n.fnt ter-d14b.fnt ter-d16n.fnt ter-d16b.fnt ter-d18n.fnt ter-d18b.fnt ter-d20n.fnt ter-d20b.fnt ter-d22n.fnt ter-d22b.fnt ter-d24n.fnt ter-d24b.fnt ter-d28n.fnt ter-d28b.fnt ter-d32n.fnt ter-d32b.fnt
FNT_MS_1255 = ter-h12n.fnt ter-h12b.fnt ter-h14n.fnt ter-h14b.fnt ter-h16n.fnt ter-h16b.fnt ter-h18n.fnt ter-h18b.fnt ter-h20n.fnt ter-h20b.fnt ter-h22n.fnt ter-h22b.fnt ter-h24n.fnt ter-h24b.fnt ter-h28n.fnt ter-h28b.fnt ter-h32n.fnt ter-h32b.fnt
FNT_IBM_437 = ter-i12n.fnt ter-i12b.fnt ter-i14n.fnt ter-i14b.fnt ter-i16n.fnt ter-i16b.fnt ter-i18n.fnt ter-i18b.fnt ter-i20n.fnt ter-i20b.fnt ter-i22n.fnt ter-i22b.fnt ter-i24n.fnt ter-i24b.fnt ter-i28n.fnt ter-i28b.fnt ter-i32n.fnt ter-i32b.fnt
FNT_BG_MIK  = ter-m12n.fnt ter-m12b.fnt ter-m14n.fnt ter-m14b.fnt ter-m16n.fnt ter-m16b.fnt ter-m18n.fnt ter-m18b.fnt ter-m20n.fnt ter-m20b.fnt ter-m22n.fnt ter-m22b.fnt ter-m24n.fnt ter-m24b.fnt ter-m28n.fnt ter-m28b.fnt ter-m32n.fnt ter-m32b.fnt
FNT = $(FNT_MS_1252) $(FNT_MS_1250) $(FNT_MS_1253) $(FNT_MS_1254) $(FNT_MS_1251) $(FNT_MS_1257) $(FNT_MS_1255)

all: $(FNT) terminus.fon fcpw.exe

WIN_MS_1252 = $(UNI)/cntrl.uni $(UNI)/ascii-h.uni $(UNI)/win-1252.uni
WIN_MS_1250 = $(UNI)/cntrl.uni $(UNI)/ascii-h.uni $(UNI)/win-1250.uni
WIN_MS_1253 = $(UNI)/cntrl.uni $(UNI)/ascii-h.uni $(UNI)/win-1253.uni
WIN_MS_1254 = $(UNI)/cntrl.uni $(UNI)/ascii-h.uni $(UNI)/win-1254.uni
WIN_MS_1251 = $(UNI)/cntrl.uni $(UNI)/ascii-h.uni $(UNI)/x11-1251.uni $(UNI)/win-1251.uni
WIN_MS_1257 = $(UNI)/cntrl.uni $(UNI)/ascii-h.uni $(UNI)/x11-1257.uni $(UNI)/win-1257.uni
WIN_MS_1255 = $(UNI)/cntrl.uni $(UNI)/ascii-h.uni $(UNI)/win-1255.uni
WIN_IBM_437 = $(UNI)/cntrl.uni $(UNI)/ascii-h.uni $(UNI)/ibm-437.uni
WIN_BG_MIK  = $(UNI)/cntrl.uni $(UNI)/ascii-h.uni $(UNI)/bg-mik.uni

$(FNT_MS_1252): ter-1%.fnt : ter-u%.bdf $(WIN_MS_1252)
	$(UCS2ANY) $< $(REG_MS_1252) $(WIN_MS_1252) | $(BDF2FNT) -o $@

$(FNT_MS_1250): ter-2%.fnt : ter-u%.bdf $(WIN_MS_1250)
	$(UCS2ANY) $< $(REG_MS_1250) $(WIN_MS_1250) | $(BDF2FNT) -o $@

$(FNT_MS_1253): ter-7%.fnt : ter-u%.bdf $(WIN_MS_1253)
	$(UCS2ANY) $< $(REG_MS_1253) $(WIN_MS_1253) | $(BDF2FNT) -o $@

$(FNT_MS_1254): ter-9%.fnt : ter-u%.bdf $(WIN_MS_1254)
	$(UCS2ANY) $< $(REG_MS_1254) $(WIN_MS_1254) | $(BDF2FNT) -o $@

$(FNT_MS_1251): ter-c%.fnt : ter-u%.bdf $(WIN_MS_1251)
	$(UCS2ANY) $< $(REG_MS_1251) $(WIN_MS_1251) | $(BDF2FNT) -o $@

$(FNT_MS_1257): ter-d%.fnt : ter-u%.bdf $(WIN_MS_1257)
	$(UCS2ANY) $< $(REG_MS_1257) $(WIN_MS_1257) | $(BDF2FNT) -o $@

$(FNT_MS_1255): ter-h%.fnt : ter-u%.bdf $(WIN_MS_1255)
	$(UCS2ANY) $< $(REG_MS_1255) $(WIN_MS_1255) | $(BDF2FNT) -o $@

$(FNT_IBM_437): ter-i%.fnt : ter-u%.bdf $(WIN_IBM_437)
	$(UCS2ANY) -F Terminal $< $(REG_IBM_437) $(WIN_IBM_437) | $(BDF2FNT) -o $@

$(FNT_BG_MIK): ter-m%.fnt : ter-u%.bdf $(WIN_BG_MIK)
	$(UCS2ANY) -F Terminal $< $(REG_BG_MIK) $(WIN_BG_MIK) | $(BDF2FNT) -o $@

fnt: $(FNT) 

fnt-255: $(FNT_IBM_437) $(FNT_BG_MIK)

ter-font.o: $(FNT) ter-font.rc
	$(RC32) -o $@ ter-font.rc

terminus.fon: ter-main.c ter-font.o
	$(CC32) $(CFLAGS) $(LDFLAGS) $(FONFLAGS) -o $@ ter-main.c ter-font.o

fcpw.exe: fcp.c
	$(CC32) -DFCPW $(CFLAGS) $(LDFLAGS) -o $@ $<

clean:
	@./make-clean.cmd

.PHONY: all fnt clean

=== debian/changelog ===
xfonts-terminus (4.48-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove unused bdf2psf build dependency (Closes: #969373)
  * Rebuild against trscripts 1.18+nmu3 to fix powerline symbols (cf.
    #767442).

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 Sep 2021 21:54:17 +0200

xfonts-terminus (4.48-3) unstable; urgency=medium

  * In order to ensure smoother upgrade, xfonts-terminus now recommends
    fonts-terminus-otb.  Add NEWS.Debian.  Thanks to Jochen Sprickerhof
    and Emanuele Rocca.  Closes: #960503.
  * 71-enable-terminus.conf now enables only the OTB fonts.  Patch by
    Jakub Wilk, closes: #960502.
  * Do not apply the upstream patch ll2 (modified Latin letter l).  Thanks
    to Kacper Gutowski, closes: #960889.

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 25 May 2020 12:16:29 +0300

xfonts-terminus (4.48-2) unstable; urgency=medium

  * Source only upload

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 11 May 2020 23:28:07 +0300

xfonts-terminus (4.48-1) unstable; urgency=medium

  * New upstream release (closes: #872939).
    - about 130 new characters, including basic hebrew letters,
      math, Bulgarian yat and yus
    - some glyph improvements
  * In addition to td1 (centered tilde), apply the following upstream patches:
    - ll2 (modifies the Latin letter l);
    - dv1 (modifies the Cyrillic letters d and v), closes: #438139.
  * fonts-terminus-otb: new package with fonts in OpenType format.  Move
    the fontconfig configuration from xfonts-terminus to this package.
    Closes: #958492.
  * debian/control:
    - add Multi-Arch
    - xfonts-terminus-oblique: change the priority to Optional (was Extra)
    - Standards-Version: 4.5.0.2
  * debian/rules: add build-indep and build-arch targets
  * raise debhelper compatibility level to 12
  * Switch to dpkg-source 3.0 (quilt) format
  
 -- Anton Zinoviev <zinoviev@debian.org>  Wed, 06 May 2020 23:26:34 +0300

xfonts-terminus (4.40-2) unstable; urgency=medium

  * Apply the patch td1 for centered tilde.  Thanks to Sean Whitton,
    closes: #819768.

 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 10 Dec 2016 13:05:49 +0300

xfonts-terminus (4.40-1) unstable; urgency=medium

  * New upstream release:
    - Added 6 combining accents as separate characters.
    - Added 14 letters with dot above / dot below.
    - Added partial subscript and superscript: all digits and 11 letters.
    - Added 30+ math characters, notably large braces, brackets and parens.
    - Added unicode range 2800-28FF in two variants (br1 and br2).
    - A few small character fixes.
    - Altered configure to be a bit more POSIX compliant.
    - Replaced some obscure (un)install Makefile targets with variables.
  * Apply a patch to make the build reproducible.  Thanks to Chris Lamb,
    closes: #778229.

 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 05 Nov 2016 19:24:47 +0300

xfonts-terminus (4.39-1) unstable; urgency=low

  * New upstream release:
    - Added ballot, checkmark, heavy ballot and heavy checkmark.
    - Changed HT, LF etc. in sizes 14 and 18-hi2 to be proportional to the
      letter height, not the matrix height.
    - Added the powerline characters E0A0..E0A2 and E0B0..E0B3.
    - Added diameter (2300) - same glyph as empty set (2205).
    - Small improvements in size 32.
    
 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 11 May 2014 21:08:30 +0300

xfonts-terminus (4.38-1) unstable; urgency=low

  * New upstream releases (4.36 and 4.38), closes: #716800.
    - Some new symbols (quotedblreversed, I/i/U/u dotbelow)
    - Changes in few symbols.
    - New 22 pseudographic symbols.
  * Run "xset fp rehash" in the postinst if possible.  Thanks to
    gennady.kupava, closes: #690549.

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 01 Aug 2013 23:23:21 +0300

=== debian/control ===
Source: xfonts-terminus
Maintainer: Anton Zinoviev <zinoviev@debian.org>
Section: fonts
Priority: optional
Standards-Version: 4.5.0.2
Build-Depends: debhelper (>=12), trscripts (>= 1.16), xfonts-utils, fontforge

Package: fonts-terminus-otb
Architecture: all
Multi-Arch: foreign
Section: fonts
Priority: optional
Depends: xfonts-utils, ${misc:Depends}
Suggests: xserver | xfs, xfonts-terminus-oblique
Description: Terminus - fast reading fixed-width OpenType bitmap fonts
 These are fixed-width fonts suitable for terminals, editors, etc.
 If you have to work for extended time in front of monitor (i.e. over
 eight hours), you may find that using of these fonts reduces your
 eyes-fatigue.
 .
 This package contains normal, bold and oblique fonts in the following
 sizes: 6x12, 8x14, 8x16, 10x20, 11x22, 12x24, 14x28 and 16x32.

Package: xfonts-terminus
Architecture: all
Multi-Arch: foreign
Section: fonts
Priority: optional
Depends: xfonts-utils, ${misc:Depends}
Recommends: fonts-terminus-otb
Suggests: xserver | xfs, xfonts-terminus-oblique
Description: Terminus - fast reading fixed-width PCF fonts for X servers
 These are fixed-width fonts suitable for terminals, editors, etc.
 If you have to work for extended time in front of monitor (i.e. over
 eight hours), you may find that using of these fonts reduces your
 eyes-fatigue.
 .
 Note: You might want to use the package fonts-terminus-otb instead of
 this package because the fonts in this package are used by the X
 server directly.  Several modern applications will ignore such fonts.
 .
 This package contains normal and bold fonts in the following sizes:
 6x12, 8x14, 8x16, 10x20, 11x22, 12x24, 14x28 and 16x32 and supports the
 following encodings: ISO10646-1, ISO8859-1, ISO8859-2, ISO8859-5,
 ISO8859-9, ISO8859-13, ISO8859-15, ISO8859-16, KOI8-R, KOI8-U, CP1251
 and PT154.

Package: xfonts-terminus-oblique
Architecture: all
Multi-Arch: foreign
Section: fonts
Priority: optional
Depends: xfonts-utils, ${misc:Depends}
Recommends: xfonts-terminus
Suggests: xserver | xfs
Description: Oblique version of the Terminus font
 This package contains oblique versions of the fonts in the package
 xfonts-terminus.  These fonts are automatically generated and at
 present are not supported by the upstream maintainer.  They have much
 lower quality than the original fonts.  Nevertheless they can be
 useful for some programs such as GNU Emacs and XEmacs.
 .
 This package contains normal and bold oblique fonts in the following
 in following sizes: 6x12, 8x14, 8x16, 10x20, 11x22, 12x24, 14x28 and 16x32
 and supports the following encodings: ISO10646-1, ISO8859-1,
 ISO8859-2, ISO8859-5, ISO8859-9, ISO8859-13, ISO8859-15, ISO8859-16,
 KOI8-R, KOI8-U, CP1251 and PT154.

Package: xfonts-terminus-dos
Architecture: all
Multi-Arch: foreign
Section: fonts
Priority: optional
Depends: xfonts-utils, ${misc:Depends}
Suggests: xserver | xfs
Enhances: dosemu
Description: Fixed-width fonts for DOS encodings
 These are nice fixed-width fonts in various DOS encodings.  They are
 mostly suitable for use in Dosemu, but can be used also in
 terminals, editors, etc.
 .
 This package supports the following code-pages: CP437, CP850, CP852,
 CP855, CP860, CP863, CP865, CP866, MIK and RUSCII.

=== debian/rules ===
#!/usr/bin/make -f

# Copyright (C) 2002,2011 Anton Zinoviev <zinoviev@debian.org>

# This software may be used, modified, copied, distributed, and sold,
# in both source and binary form provided that the copyright
# and these terms are retained. Under no circumstances is the author
# responsible for the proper functioning of this software, nor does
# the author assume any responsibility for damages incurred with its use.

SHELL = /bin/bash

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%, $(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif

X_ENCODINGS=unicode cp1251 pt154 koi8-r koi8-u iso-8859-1 iso-8859-2	\
		iso-8859-5 iso-8859-7 iso-8859-9 iso-8859-13		\
		iso-8859-15 iso-8859-16

DOS_ENCODINGS=ibm437 ibm850 ibm852 ibm855 ibm860 ibm863 ibm865 ibm866	\
		ibm869 mik ruscii

ENCODINGS=$(X_ENCODINGS) $(DOS_ENCODINGS)

SOURCE_BDFS = $(wildcard \
			ter-u12[nb].bdf \
			ter-u14[nb].bdf \
			ter-u16[nb].bdf \
			ter-u18[nb].bdf \
			ter-u20[nb].bdf \
			ter-u22[nb].bdf \
			ter-u24[nb].bdf \
			ter-u28[nb].bdf \
			ter-u32[nb].bdf \
		)

oblique_bdfs = $(SOURCE_BDFS:%.bdf=%o.bdf)

convertors=$(addsuffix _conv, $(ENCODINGS))

new_x_bdfs = $(foreach enc, $(X_ENCODINGS), \
		$(addsuffix _$(enc).bdf, $(SOURCE_BDFS:%.bdf=%)))

new_oblique_bdfs = $(foreach enc, $(X_ENCODINGS), \
			$(addsuffix _$(enc).bdf, $(oblique_bdfs:%.bdf=%)))

new_dos_bdfs = $(foreach enc, $(DOS_ENCODINGS), \
		$(addsuffix _$(enc).bdf, $(SOURCE_BDFS:%.bdf=%)))

new_bdfs = $(new_x_bdfs) $(new_oblique_bdfs) $(new_dos_bdfs)

compressed_x_fonts = $(new_x_bdfs:%.bdf=%.pcf.gz)

compressed_oblique_fonts = $(new_oblique_bdfs:%.bdf=%.pcf.gz)

compressed_dos_fonts = $(new_dos_bdfs:%.bdf=%.pcf.gz)

compressed_fonts = $(compressed_x_fonts) $(compressed_oblique_fonts) \
			$(compressed_dos_fonts)

Terminus12x6-BDFS = ter-u12n.bdf
Terminus14-BDFS = ter-u14n.bdf
Terminus16-BDFS = ter-u16n.bdf
Terminus18x10-BDFS = ter-u18n.bdf
Terminus20x10-BDFS = ter-u20n.bdf
Terminus22x11-BDFS = ter-u22n.bdf
Terminus24x12-BDFS = ter-u24n.bdf
Terminus28x14-BDFS = ter-u28n.bdf
Terminus32x16-BDFS = ter-u32n.bdf
TerminusBold12x6-BDFS = ter-u12b.bdf
TerminusBold14-BDFS = ter-u14b.bdf
TerminusBold16-BDFS = ter-u16b.bdf
TerminusBold18x10-BDFS = ter-u18b.bdf
TerminusBold20x10-BDFS = ter-u20b.bdf
TerminusBold22x11-BDFS = ter-u22b.bdf
TerminusBold24x12-BDFS = ter-u24b.bdf
TerminusBold28x14-BDFS = ter-u28b.bdf
TerminusBold32x16-BDFS = ter-u32b.bdf
TerminusBoldVGA14-BDFS = ter-u14v.bdf
TerminusBoldVGA16-BDFS = ter-u16v.bdf

%.gz : %
	gzip -9n <$< >$@

$(oblique_bdfs) : %o.bdf : %.bdf
	perl debian/bdfslant.pl -unjag <$< >$@

$(convertors):
	trbdf -f unicode -t $(@:_conv=) --no-fallback -s >$@

$(new_bdfs) : basename_encoding = $(subst _,/,$(@:%.bdf=%))
$(new_bdfs) : basename = $(subst /,,$(dir $(basename_encoding)))
$(new_bdfs) : encoding = $(notdir $(basename_encoding))
# It's not possible to use prerequisite like $(encoding)_conv here:
$(new_bdfs) : $(SOURCE_BDFS) $(oblique_bdfs) $(convertors)
	awk -f $(encoding)_conv <$(basename).bdf >$@

%.pcf : %.bdf
	bdftopcf $< >$@

normal_bdf_fonts = $(filter %n_unicode.bdf, $(new_bdfs))
bold_bdf_fonts = $(filter %b_unicode.bdf, $(new_bdfs))
oblique_bdf_fonts = $(filter %no_unicode.bdf, $(new_bdfs))
bold_oblique_bdf_fonts = $(filter %bo_unicode.bdf, $(new_bdfs))

normal_otb = terminus-normal.otb
bold_otb = terminus-bold.otb
oblique_otb = terminus-oblique.otb
bold_oblique_otb = terminus-bold-oblique.otb

otb_fonts = $(normal_otb) $(bold_otb) $(oblique_otb) $(bold_oblique_otb)

$(normal_otb) : $(normal_bdf_fonts)
	fontforge -quiet -lang=ff -script debian/fontmerge $@ $^

$(bold_otb) : $(bold_bdf_fonts)
	fontforge -quiet -lang=ff -script debian/fontmerge $@ $^

$(oblique_otb) : $(oblique_bdf_fonts)
	fontforge -quiet -lang=ff -script debian/fontmerge $@ $^

$(bold_oblique_otb) : $(bold_oblique_bdf_fonts)
	fontforge -quiet -lang=ff -script debian/fontmerge $@ $^

build-arch:
build-indep: $(compressed_fonts) $(otb_fonts)
build: build-arch build-indep

.PHONY : clean
clean:
	dh_testdir
	$(MAKE) clean
	rm -rf $(convertors) $(oblique_bdfs) $(new_bdfs)
	rm -rf $(compressed_fonts) $(otb_fonts)
	dh_clean

.PHONY : install
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_install -pfonts-terminus-otb $(otb_fonts) usr/share/fonts/opentype/terminus
	dh_install -pxfonts-terminus $(compressed_x_fonts) usr/share/fonts/X11/misc
	dh_install -pxfonts-terminus-oblique $(compressed_oblique_fonts) usr/share/fonts/X11/misc
	dh_install -pxfonts-terminus-dos $(compressed_dos_fonts) usr/share/fonts/X11/misc
	dh_install -pxfonts-terminus debian/xfonts-terminus.alias etc/X11/fonts/misc
	sh debian/generate_aliases terminus "$(X_ENCODINGS)" >>debian/xfonts-terminus/etc/X11/fonts/misc/xfonts-terminus.alias
	dh_install -pxfonts-terminus-dos debian/xfonts-terminus-dos.alias etc/X11/fonts/misc
	sh debian/generate_aliases terminus-dos "$(DOS_ENCODINGS)" >>debian/xfonts-terminus-dos/etc/X11/fonts/misc/xfonts-terminus-dos.alias
	dh_install -pfonts-terminus-otb debian/71-enable-terminus.conf usr/share/fontconfig/conf.avail
	dh_link -pfonts-terminus-otb usr/share/fontconfig/conf.avail/71-enable-terminus.conf etc/fonts/conf.d/71-enable-terminus.conf
	dh_link

# Build architecture-independent files here.
.PHONY : binary-indep
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installxfonts
	dh_installdocs -A README README-BG
#	dh_installexamples
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
#	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
.PHONY : binary-arch
binary-arch : build install
# We have nothing to do by default.

.PHONY : binary
binary : binary-indep binary-arch

## xfonts-terminus 4.49

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,10 @@
 
 UCS2ANY = $(INT) $(BIN)/ucstoany.$(EXT)
 BDF2PSF = $(INT) $(BIN)/bdftopsf.$(EXT)
-UCS2X11	= $(INT) $(BIN)/ucstoany.$(EXT) -f
-BDF2PCF	= bdftopcf
+UCS2X11 = $(INT) $(BIN)/ucstoany.$(EXT) -f
+BDF2PCF = bdftopcf
+#BDF2OTB = fontforge -lang=ff -c 'Open($$3); ScaleToEm(1024); Generate($$2)'
+BDF2OTB = $(INT) $(BIN)/otb1cli.$(EXT)
 
 REG_8859_1  = ISO8859 1
 REG_8859_2  = ISO8859 2
@@ -76,14 +78,17 @@
 PCF_8BIT = $(PCF_8859_1) $(PCF_8859_2) $(PCF_8859_5) $(PCF_8859_7) $(PCF_8859_9) $(PCF_MS_1251) $(PCF_8859_13) $(PCF_8859_15) $(PCF_8859_16) $(PCF_IBM_437) $(PCF_KOI8_R) $(PCF_PT_154) $(PCF_KOI8_U)
 PCF = $(PCF_10646_1)
 
+OTB = ter-u12n.otb ter-u12b.otb ter-u14n.otb ter-u14b.otb ter-u16n.otb ter-u16b.otb ter-u18n.otb ter-u18b.otb ter-u20n.otb ter-u20b.otb ter-u22n.otb ter-u22b.otb ter-u24n.otb ter-u24b.otb ter-u28n.otb ter-u28b.otb ter-u32n.otb ter-u32b.otb
+
 # Default
 
 all: $(PSF) $(PCF)
 
-DESTDIR	=
-prefix	= /usr/local
-psfdir	= $(prefix)/share/consolefonts
-x11dir	= $(prefix)/share/fonts/terminus
+DESTDIR =
+prefix  = /usr/local
+psfdir  = $(prefix)/share/consolefonts
+x11dir  = $(prefix)/share/fonts/terminus
+otbdir  = $(prefix)/share/fonts/terminus
 
 install: $(PSF) $(PCF)
 	mkdir -p $(DESTDIR)$(psfdir)
@@ -142,10 +147,3 @@
 $(PSF_8859_2) $(PSF_VGAW_8859_2): ter-2%.psf : ter-u%.bdf $(VGA_8859_2) $(DUP_8859_2)
 	$(UCS2ANY) $< $(REG_8859_2) $(VGA_8859_2) | $(BDF2PSF) -o $@ $(DUP_8859_2)
 
-$(PSF_8859_7) $(PSF_VGAW_8859_7): ter-7%.psf : ter-u%.bdf $(VGA_8859_7) $(DUP_8859_7)
-	$(UCS2ANY) $< $(REG_8859_7) $(VGA_8859_7) | $(BDF2PSF) -o $@ $(DUP_8859_7)
-
-$(PSF_8859_9) $(PSF_VGAW_8859_9): ter-9%.psf : ter-u%.bdf $(VGA_8859_9) $(DUP_8859_9)
-	$(UCS2ANY) $< $(REG_8859_9) $(VGA_8859_9) | $(BDF2PSF) -o $@ $(DUP_8859_9)
-
-$(PSF_MS_1251) $(PSF_VGAW_MS_1251): ter-c%.psf : ter-u%.bdf $(VGA_MS_1251) $(DUP_MS_1251)

=== debian/changelog ===
xfonts-terminus (4.49-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: add Homepage field.  Thanks to Jakub Wilk,
    closes: #1063761.
  * Don't merge fonts of many sizes into one otb font.  With merged otb
    fonts the KDE Plasma applications see only the smallest size.  Thanks
    to Jiri Jansky, closes: #1109767.
  * fonts-terminus-otb: remove the unnecessary xfonts-utils dependency and
    xfonts-terminus-oblique suggestion.  Thanks to Frank, closes: #1025392.
  * Small fix in the description of xfonts-terminus-oblique.

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 04 Aug 2025 11:40:39 +0300

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Section: fonts
 Priority: optional
 Standards-Version: 4.5.0.2
-Build-Depends: debhelper (>=12), trscripts (>= 1.16), xfonts-utils, fontforge
+Build-Depends: debhelper (>=12), trscripts (>= 1.16), xfonts-utils, fontforge, python3
+Homepage: https://terminus-font.sourceforge.net/
 
 Package: fonts-terminus-otb
 Architecture: all
 Multi-Arch: foreign
 Section: fonts
 Priority: optional
-Depends: xfonts-utils, ${misc:Depends}
-Suggests: xserver | xfs, xfonts-terminus-oblique
+Depends: ${misc:Depends}
+Suggests: xserver | xfs
 Description: Terminus - fast reading fixed-width OpenType bitmap fonts
  These are fixed-width fonts suitable for terminals, editors, etc.
  If you have to work for extended time in front of monitor (i.e. over
@@ -60,7 +61,7 @@
  lower quality than the original fonts.  Nevertheless they can be
  useful for some programs such as GNU Emacs and XEmacs.
  .
- This package contains normal and bold oblique fonts in the following
+ This package contains oblique normal and bold fonts in the following
  in following sizes: 6x12, 8x14, 8x16, 10x20, 11x22, 12x24, 14x28 and 16x32
  and supports the following encodings: ISO10646-1, ISO8859-1,
  ISO8859-2, ISO8859-5, ISO8859-9, ISO8859-13, ISO8859-15, ISO8859-16,

=== debian/rules ===
--- 
+++ 
@@ -110,19 +110,27 @@
 oblique_otb = terminus-oblique.otb
 bold_oblique_otb = terminus-bold-oblique.otb
 
-otb_fonts = $(normal_otb) $(bold_otb) $(oblique_otb) $(bold_oblique_otb)
+otb_fonts = $(normal_bdf_fonts:%.bdf=%.otb) $(bold_bdf_fonts:%.bdf=%.otb) \
+			$(oblique_bdf_fonts:%.bdf=%.otb) $(bold_oblique_bdf_fonts:%.bdf=%.otb)
 
-$(normal_otb) : $(normal_bdf_fonts)
-	fontforge -quiet -lang=ff -script debian/fontmerge $@ $^
+%.otb : %.bdf
+	python3 bin/otb1cli.py -o $@ $<
 
-$(bold_otb) : $(bold_bdf_fonts)
-	fontforge -quiet -lang=ff -script debian/fontmerge $@ $^
-
-$(oblique_otb) : $(oblique_bdf_fonts)
-	fontforge -quiet -lang=ff -script debian/fontmerge $@ $^
-
-$(bold_oblique_otb) : $(bold_oblique_bdf_fonts)
-	fontforge -quiet -lang=ff -script debian/fontmerge $@ $^
+# # We don't use merged otb fonts because of KDE Plasma, see #1109767
+# otb_fonts =  terminus-normal.otb terminus-bold.otb \
+# 					terminus-oblique.otb terminus-bold-oblique.otb
+#
+# terminus-normal.otb : $(normal_bdf_fonts)
+# 	fontforge -quiet -lang=ff -script debian/fontmerge $@ $^
+#
+# terminus-bold.otb : $(bold_bdf_fonts)
+# 	fontforge -quiet -lang=ff -script debian/fontmerge $@ $^
+#
+# terminus-oblique.otb : $(oblique_bdf_fonts)
+# 	fontforge -quiet -lang=ff -script debian/fontmerge $@ $^
+#
+# terminus-bold-oblique.otb : $(bold_oblique_bdf_fonts)
+# 	fontforge -quiet -lang=ff -script debian/fontmerge $@ $^
 
 build-arch:
 build-indep: $(compressed_fonts) $(otb_fonts)
@@ -134,6 +142,7 @@
 	$(MAKE) clean
 	rm -rf $(convertors) $(oblique_bdfs) $(new_bdfs)
 	rm -rf $(compressed_fonts) $(otb_fonts)
+	rm -rf bin/__pycache__/
 	dh_clean
 
 .PHONY : install
